
#include	"brd.h"
#include	"extn_andor.h"
#include	"ctrlstrm.h"
#include	"ctrladc.h"
#include	"ctrlsdram.h" // only for AMBPCD base module 
#include	"ctrlcmpsc.h"

//#include	"ctrldspnode.h" // only for DSP PLD on AMBPCD

#define		MAX_CHAN		32

const U16 PLD_CFG_TAG	= 0x0500; // tag of PLD

//S32 AdcSettings0(BRD_Handle hADC);
S32 AdcSettings(BRD_Handle hADC, int idx, char* srvName, char* iniFileName);
S32 SdramSettings(ULONG mem_mode, BRD_Handle hADC, ULONG& bBuf_size);

//S32 DaqIntoSdram(BRD_Handle hADC, PVOID pSig, ULONG bBufSize, int num_chan);
//S32 DaqIntoSdramDMA(BRD_Handle hADC, int idx, ULONG bBufSize, int num_chan);
S32 DaqIntoSdram(BRD_Handle hADC);
S32 DaqIntoSdramDMA(BRD_Handle hADC);
S32 DataFromMem(BRD_Handle hADC, PVOID pBuf, ULONG bBufSize, ULONG DmaOn);
S32 DaqIntoFifo(BRD_Handle hADC, PVOID pSig, ULONG bBufSize, int DspMode);
S32 DaqIntoFifoDMA(BRD_Handle hADC, int idx, ULONG bBufSize, int DspMode);
S32 GetPtertrigData(BRD_Handle hADC, int num_chan);
S32 AllocDaqBuf(BRD_Handle hADC, PVOID* pSig, ULONG* pbytesBufSize, ULONG bufType);
S32 FreeDaqBuf(BRD_Handle hADC);

S32 StartDaqIntoSdramDMA(BRD_Handle hADC, int idx);
void BreakDaqIntoSdramDMA();
S32 CheckDaqIntoSdramDMA();
void EndDaqIntoSdramDMA();
